From: Luca Capello <luca@pca.it>
Date: Wed, 10 Jun 2009 01:23:59 +0200
Subject: [PATCH] CONFIG_BATTERY_BQ27000_HDQ selects CONFIG_HDQ_GPIO_BITBANG

This is because of commit

  1f06c28eaa6e77384a366c3d2ab1ccdbb8a807e0
  The BQ27000 Battery requires HDQ.

Otherwise the battery is not available at all.

Signed-off-by: Luca Capello <luca@pca.it>

diff --git a/drivers/power/Kconfig b/drivers/power/Kconfig
index b5332f7..f88c5aa 100644
--- a/drivers/power/Kconfig
+++ b/drivers/power/Kconfig
@@ -90,6 +90,7 @@ config CHARGER_PCF50633
 
 config BATTERY_BQ27000_HDQ
 	tristate "BQ27000 HDQ battery monitor driver"
+	select HDQ_GPIO_BITBANG
 	help
 	  Say Y to enable support for the battery on the Neo Freerunner
 